<?xml version='1.0' encoding='ISO-8859-1' standalone='yes'?>
<tagfile>
  <compound kind="class">
    <name>BasicTransition</name>
    <filename>classBasicTransition.html</filename>
    <base>Transition</base>
    <member kind="function">
      <type></type>
      <name>BasicTransition</name>
      <anchor>a0</anchor>
      <arglist>(Renderable *r)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>BasicTransition</name>
      <anchor>a1</anchor>
      <arglist>(Transition *t)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>render</name>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>slideEnter</name>
      <anchor>a4</anchor>
      <arglist>(TransitionManager *t)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>slideLeave</name>
      <anchor>a5</anchor>
      <arglist>(TransitionManager *t)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>containsTransition</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>Renderable *</type>
      <name>obj</name>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>TransitionManager *</type>
      <name>manager</name>
      <anchor>p2</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>BlueCubeSlide</name>
    <filename>classBlueCubeSlide.html</filename>
    <base>Slide</base>
    <member kind="function">
      <type>void</type>
      <name>render</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>enter</name>
      <anchor>a3</anchor>
      <arglist>(TransitionManager *t)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>leave</name>
      <anchor>a4</anchor>
      <arglist>(TransitionManager *t)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>BlueCubeTitle</name>
    <filename>classBlueCubeTitle.html</filename>
    <base>Renderable</base>
    <member kind="function">
      <type></type>
      <name>BlueCubeTitle</name>
      <anchor>a0</anchor>
      <arglist>(char *s)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>render</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>char *</type>
      <name>text</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Renderable</name>
    <filename>classRenderable.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>render</name>
      <anchor>a2</anchor>
      <arglist>()=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>RenderList</name>
    <filename>classRenderList.html</filename>
    <base>Renderable</base>
    <member kind="function">
      <type>void</type>
      <name>render</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>add</name>
      <anchor>a3</anchor>
      <arglist>(Renderable *r)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>add</name>
      <anchor>a4</anchor>
      <arglist>(Transition *t)</arglist>
    </member>
    <member kind="variable">
      <type>Transition *</type>
      <name>object</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>RenderList *</type>
      <name>next</name>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>RenderList *</type>
      <name>prev</name>
      <anchor>o2</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Rotation</name>
    <filename>classRotation.html</filename>
    <base>Renderable</base>
    <member kind="function">
      <type></type>
      <name>Rotation</name>
      <anchor>a0</anchor>
      <arglist>(float x, float y, float z, Renderable *r)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>render</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>float</type>
      <name>x</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>float</type>
      <name>y</name>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>float</type>
      <name>z</name>
      <anchor>p2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>Renderable *</type>
      <name>obj</name>
      <anchor>p3</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Slide</name>
    <filename>classSlide.html</filename>
    <base>Renderable</base>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>render</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>add</name>
      <anchor>a3</anchor>
      <arglist>(Renderable *r)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>add</name>
      <anchor>a4</anchor>
      <arglist>(Transition *t)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>enter</name>
      <anchor>a5</anchor>
      <arglist>(TransitionManager *t)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>leave</name>
      <anchor>a6</anchor>
      <arglist>(TransitionManager *t)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>event</name>
      <anchor>a7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>RenderList *</type>
      <name>rlist</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>SlideBase</name>
    <filename>classSlideBase.html</filename>
  </compound>
  <compound kind="class">
    <name>SlideIn</name>
    <filename>classSlideIn.html</filename>
    <base>Renderable</base>
    <member kind="function">
      <type></type>
      <name>SlideIn</name>
      <anchor>a0</anchor>
      <arglist>(Renderable *r)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>render</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>Renderable *</type>
      <name>obj</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>SlideInTransition</name>
    <filename>classSlideInTransition.html</filename>
    <base>BasicTransition</base>
    <member kind="function">
      <type></type>
      <name>SlideInTransition</name>
      <anchor>a0</anchor>
      <arglist>(Transition *t)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>SlideInTransition</name>
      <anchor>a1</anchor>
      <arglist>(Renderable *r)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>render</name>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>slideEnter</name>
      <anchor>a4</anchor>
      <arglist>(TransitionManager *t)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>double</type>
      <name>starttime</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>SlideOutTransition</name>
    <filename>classSlideOutTransition.html</filename>
    <base>BasicTransition</base>
    <member kind="function">
      <type></type>
      <name>SlideOutTransition</name>
      <anchor>a0</anchor>
      <arglist>(Transition *t)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>SlideOutTransition</name>
      <anchor>a1</anchor>
      <arglist>(Renderable *r)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>render</name>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>slideLeave</name>
      <anchor>a4</anchor>
      <arglist>(TransitionManager *t)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>double</type>
      <name>starttime</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>SlidePresenter</name>
    <filename>classSlidePresenter.html</filename>
    <base>Renderable</base>
    <member kind="function">
      <type>void</type>
      <name>render</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>add</name>
      <anchor>a2</anchor>
      <arglist>(Slide *t)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>mousefunc</name>
      <anchor>a4</anchor>
      <arglist>(int button, int state, int x, int y)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>SlidePresenter *</type>
      <name>next</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>Slide *</type>
      <name>slide</name>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>SlidePresenter *</type>
      <name>prev</name>
      <anchor>p2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>SlidePresenter *</type>
      <name>cur</name>
      <anchor>p3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>TransitionManager *</type>
      <name>manager</name>
      <anchor>p4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>isTransitioning</name>
      <anchor>p5</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>SpinningCube</name>
    <filename>classSpinningCube.html</filename>
    <base>Renderable</base>
    <member kind="function">
      <type>void</type>
      <name>render</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Transition</name>
    <filename>classTransition.html</filename>
    <base>Renderable</base>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>render</name>
      <anchor>a0</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>slideEnter</name>
      <anchor>a1</anchor>
      <arglist>(TransitionManager *t)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>slideLeave</name>
      <anchor>a2</anchor>
      <arglist>(TransitionManager *t)=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TransitionManager</name>
    <filename>classTransitionManager.html</filename>
    <member kind="function">
      <type>int</type>
      <name>isIdle</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>start</name>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>done</name>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>count</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Translation</name>
    <filename>classTranslation.html</filename>
    <base>Renderable</base>
    <member kind="function">
      <type></type>
      <name>Translation</name>
      <anchor>a0</anchor>
      <arglist>(float x, float y, float z, Renderable *r)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>render</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>Renderable *</type>
      <name>obj</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>float</type>
      <name>x</name>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>float</type>
      <name>y</name>
      <anchor>p2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>float</type>
      <name>z</name>
      <anchor>p3</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="dir">
    <name>Code/</name>
    <path>/home/joshua/Code/</path>
    <filename>dir_000000.html</filename>
    <dir>Code/glpresent/</dir>
  </compound>
  <compound kind="dir">
    <name>Code/glpresent/debug/</name>
    <path>/home/joshua/Code/glpresent/debug/</path>
    <filename>dir_000002.html</filename>
    <file>config.h</file>
  </compound>
  <compound kind="dir">
    <name>Code/glpresent/</name>
    <path>/home/joshua/Code/glpresent/</path>
    <filename>dir_000001.html</filename>
    <dir>Code/glpresent/debug/</dir>
    <dir>Code/glpresent/src/</dir>
    <file>config.h</file>
  </compound>
  <compound kind="dir">
    <name>Code/glpresent/src/</name>
    <path>/home/joshua/Code/glpresent/src/</path>
    <filename>dir_000003.html</filename>
    <file>basictransition.cpp</file>
    <file>basictransition.h</file>
    <file>bluecubeslide.cpp</file>
    <file>bluecubeslide.h</file>
    <file>bluecubetitle.cpp</file>
    <file>bluecubetitle.h</file>
    <file>glpresent.cpp</file>
    <file>renderable.cpp</file>
    <file>renderable.h</file>
    <file>renderlist.cpp</file>
    <file>renderlist.h</file>
    <file>rotation.cpp</file>
    <file>rotation.h</file>
    <file>slide.cpp</file>
    <file>slide.h</file>
    <file>slidebase.h</file>
    <file>slidein.cpp</file>
    <file>slidein.h</file>
    <file>slideintransition.cpp</file>
    <file>slideintransition.h</file>
    <file>slideouttransition.cpp</file>
    <file>slideouttransition.h</file>
    <file>slidepresenter.cpp</file>
    <file>slidepresenter.h</file>
    <file>slidepresenter_interface.h</file>
    <file>spinningcube.cpp</file>
    <file>spinningcube.h</file>
    <file>transition.cpp</file>
    <file>transition.h</file>
    <file>transitionmanager.cpp</file>
    <file>transitionmanager.h</file>
    <file>translation.cpp</file>
    <file>translation.h</file>
  </compound>
</tagfile>
