/***************************************************************************
 * glPresent                                                               *
 * An OpenGL presentation manager                                          *
 * Copyright (C) 2004 Joshua Wise <joshua@joshuawise.com>.                 *
 *                                                                         *
 * This is my code. Don't use it without letting people have at least my   *
 * source. Diffs against my source would be appreciated. Try not to remove *
 * my copyright notice from the startup message, or if you have to, I      *
 * guess move it to the usage message. I won't sue you for copyright       *
 * infringement if you stick to these guidelines. Thanks.                  *
 ***************************************************************************/
#ifndef CONTENT_H
#define CONTENT_H

#include <renderable.h>

/**
A pure virtual class for displaying content.

@author Joshua Wise
*/
class Content : public Renderable
{
public:
    Content();

    ~Content();
    virtual void addBullet(char* text) = 0;

};

#endif
