/***************************************************************************
 * glPresent                                                               *
 * An OpenGL presentation manager                                          *
 * Copyright (C) 2004 Joshua Wise <joshua@joshuawise.com>.                 *
 *                                                                         *
 * This is my code. Don't use it without letting people have at least my   *
 * source. Diffs against my source would be appreciated. Try not to remove *
 * my copyright notice from the startup message, or if you have to, I      *
 * guess move it to the usage message. I won't sue you for copyright       *
 * infringement if you stick to these guidelines. Thanks.                  *
 ***************************************************************************/
#ifndef ROTATEOUTTRANSITION_H
#define ROTATEOUTTRANSITION_H

#include <basictransition.h>

/**
A transition in which we just rotate out. Simple.

@author Joshua Wise
*/
class RotateOutTransition : public BasicTransition
{
public:
    RotateOutTransition(Transition* t);
    
    RotateOutTransition(Renderable* r);

    ~RotateOutTransition();

    virtual void slideLeave(TransitionManager* t);
    virtual void render();
protected:
    double starttime;
};

#endif
