/***************************************************************************
 * glPresent                                                               *
 * An OpenGL presentation manager                                          *
 * Copyright (C) 2004 Joshua Wise <joshua@joshuawise.com>.                 *
 *                                                                         *
 * This is my code. Don't use it without letting people have at least my   *
 * source. Diffs against my source would be appreciated. Try not to remove *
 * my copyright notice from the startup message, or if you have to, I      *
 * guess move it to the usage message. I won't sue you for copyright       *
 * infringement if you stick to these guidelines. Thanks.                  *
 ***************************************************************************/
#ifndef BLUECUBELARGECONTENTBOX_H
#define BLUECUBELARGECONTENTBOX_H

#include <content.h>

class BlueCubeLargeContentBox_ContentList {
public:
  char* text;
  BlueCubeLargeContentBox_ContentList* next;
};

/**
A BlueCube-themed large content box.

@author Joshua Wise
*/
class BlueCubeLargeContentBox : public Content
{
public:
    BlueCubeLargeContentBox();

    ~BlueCubeLargeContentBox();

    virtual void addBullet(char* text);
    virtual void render();
protected: 
    BlueCubeLargeContentBox_ContentList* list;
};

#endif
