/***************************************************************************
 * glPresent                                                               *
 * An OpenGL presentation manager                                          *
 * Copyright (C) 2004 Joshua Wise <joshua@joshuawise.com>.                 *
 *                                                                         *
 * This is my code. Don't use it without letting people have at least my   *
 * source. Diffs against my source would be appreciated. Try not to remove *
 * my copyright notice from the startup message, or if you have to, I      *
 * guess move it to the usage message. I won't sue you for copyright       *
 * infringement if you stick to these guidelines. Thanks.                  *
 ***************************************************************************/
#include "redcubetitle.h"
#include <GL/gl.h>
#include <string.h>
#include <GL/glut.h>

RedCubeTitle::RedCubeTitle(char* x)
 : BlueCubeTitle(x)
{
}


RedCubeTitle::~RedCubeTitle()
{
}


void RedCubeTitle::render()
{
  int i;
  glLineWidth(2.0f);
  glPushMatrix();
    glTranslatef(-0.525f, -0.7f, 0.0f);
    glBegin(GL_QUADS);
      glColor4f(0.7f, 0.2f, 0.3f, 1.0f); glVertex3f(-0.05f, -0.25f, 0.0f);
      glColor4f(1.0f, 0.2f, 0.2f, 0.0f); glVertex3f(1.5f, -0.25f, 0.0f);
      glColor4f(1.0f, 0.2f, 0.2f, 0.0f); glVertex3f(1.3f, 0.05f, 0.0f);
      glColor4f(0.9f, 0.2f, 0.3f, 1.0f); glVertex3f(-0.05f, 0.05f, 0.0f);
    glEnd();
    glBegin(GL_LINES);
      glColor4f(1.0f, 1.0f, 1.0f, 1.0f); glVertex3f(-0.05f, -0.25f, 0.0f);
      glColor4f(1.0f, 1.0f, 1.0f, 0.0f); glVertex3f(1.5f, -0.25f, 0.0f);
      
      glColor4f(1.0f, 1.0f, 1.0f, 1.0f); glVertex3f(-0.05f, -0.25f, 0.0f);
      glColor4f(1.0f, 1.0f, 1.0f, 1.0f); glVertex3f(-0.05f, 0.05f, 0.0f);
      
      glColor4f(1.0f, 1.0f, 1.0f, 1.0f); glVertex3f(-0.05f, 0.05f, 0.0f);
      glColor4f(1.0f, 1.0f, 1.0f, 0.0f); glVertex3f(1.3f, 0.05f, 0.0f);
    glEnd();
    
    glColor3f(1.0f, 1.0f, 1.0f);
    glScalef(0.016f / (float)strlen(text), -0.002f, 0.001f);
    for (i = 0; i < strlen(text); i++) 
      glutStrokeCharacter(GLUT_STROKE_ROMAN, text[i]);
  glPopMatrix();}

