/***************************************************************************
 * glPresent                                                               *
 * An OpenGL presentation manager                                          *
 * Copyright (C) 2004 Joshua Wise <joshua@joshuawise.com>.                 *
 *                                                                         *
 * This is my code. Don't use it without letting people have at least my   *
 * source. Diffs against my source would be appreciated. Try not to remove *
 * my copyright notice from the startup message, or if you have to, I      *
 * guess move it to the usage message. I won't sue you for copyright       *
 * infringement if you stick to these guidelines. Thanks.                  *
 ***************************************************************************/
#ifndef RENDERABLE_H
#define RENDERABLE_H

/**
Generic interface for all objects that can be rendered.

@author Joshua Wise
*/
class Renderable{
public:
    Renderable();

    ~Renderable();
    virtual void render() = 0;

};

#endif
