/***************************************************************************
 * glPresent                                                               *
 * An OpenGL presentation manager                                          *
 * Copyright (C) 2004 Joshua Wise <joshua@joshuawise.com>.                 *
 *                                                                         *
 * This is my code. Don't use it without letting people have at least my   *
 * source. Diffs against my source would be appreciated. Try not to remove *
 * my copyright notice from the startup message, or if you have to, I      *
 * guess move it to the usage message. I won't sue you for copyright       *
 * infringement if you stick to these guidelines. Thanks.                  *
 ***************************************************************************/
#include "translation.h"
#include <GL/gl.h>

Translation::Translation(float tlx, float tly, float tlz, Renderable* r)
{
  x = tlx;
  y = tly;
  z = tlz;
  obj = r;
}


Translation::~Translation()
{
  delete obj;
}


void Translation::render()
{
  glPushMatrix();
    glTranslatef(x, y, z);
    obj->render();
  glPopMatrix();
}

