/***************************************************************************
 * glPresent                                                               *
 * An OpenGL presentation manager                                          *
 * Copyright (C) 2004 Joshua Wise <joshua@joshuawise.com>.                 *
 *                                                                         *
 * This is my code. Don't use it without letting people have at least my   *
 * source. Diffs against my source would be appreciated. Try not to remove *
 * my copyright notice from the startup message, or if you have to, I      *
 * guess move it to the usage message. I won't sue you for copyright       *
 * infringement if you stick to these guidelines. Thanks.                  *
 ***************************************************************************/
#ifndef TRANSLATION_H
#define TRANSLATION_H

#include <renderable.h>

/**
@author Joshua Wise
*/
class Translation : public Renderable
{
public:
    Translation(float x, float y, float z, Renderable* r);

    ~Translation();

    virtual void render();

protected:
    Renderable* obj;
    float x;
    float y;
    float z;
};

#endif
